package com.kexun.constant;

/**
 * Description:xml节点名称常量定义
 *
 * @author lgs
 * @date 2023/05/25
 */
public class XmlNodeConsts {
    /**
     * 报告编号
     */
    public static final String REPORTNO = "REPORTNO";

    /**
     * 报告头. 报告标识信息段
     */
    public static final String HEADBO = "HEADBO";

    /**
     * 报告头. 其他身份标识信息段
     */
    public static final String OTHERIDSGLS = "OTHERIDSGLS";

    /**
     * 报告头. 防欺诈警示信息段
     */
    public static final String FRAUD = "FRAUD";

    /**
     * 基本信息. 1.1 身份信息
     */
    public static final String BASEINFO = "BASEINFO";

    /**
     * 基本信息. 1.2 手机号码信息
     */
    public static final String TELEPHONEINFOSGLS = "TELEPHONEINFOSGLS";
    /**
     * 基本信息. 1.3 配偶信息
     */
    public static final String MARRIAGEINFOSG = "MARRIAGEINFOSG";
    /**
     * 基本信息. 1.4 居住信息
     */
    public static final String RESIDENCEINFOSGLS = "RESIDENCEINFOSGLS";
    /**
     * 基本信息. 1.5 职业信息
     */
    public static final String VOCATIONINFOSGLS = "VOCATIONINFOSGLS";
    /**
     * 3.1信息概要-个人信用报告“数字解读”
     */
    public static final String GRADEINFOSMRY = "GRADEINFOSMRY";
    /**
     * 信息概要. 2.1 信贷交易信息提示
     */
    public static final String CREDITTRADETIPSSMRY = "CREDITTRADETIPSSMRY";
    /**
     * 信息概要. 2.2 被追偿信息汇总
     */
    public static final String RECOVEREDINFOSUMSMRY = "RECOVEREDINFOSUMSMRY";

    /**
     * 信息概要. 2.2 呆账汇总信息段
     */
    public static final String BADDEBTSSMRY = "BADDEBTSSMRY";
    /**
     * 信息概要. 2.4 逾期（透支）汇总信息段
     */
    public static final String OVERDRAFTSUMSGLS = "OVERDRAFTSUMSGLS";
    /**
     *信息概要. 2.5 非循环贷账户汇总信息
     */
    public static final String NONCYCLICALSMRY = "NONCYCLICALSMRY";
    /**
     * 信息概要. 2.6 循环额度下分账户汇总
     */
    public static final String CYBRANCHACCSMRY = "CYBRANCHACCSMRY";
    /**
     * 信息概要. 2.7 循环贷账户信息汇总
     */
    public static final String CYCLICALLOANSMRY = "CYCLICALLOANSMRY";
    /**
     * 信息概要. 2.8 贷记卡账户汇总
     */
    public static final String DEBITCARDACCSMRY = "DEBITCARDACCSMRY";
    /**
     * 信息概要. 2.9 准贷记卡账户汇总
     */
    public static final String ZDEBITCARDACCSMRY = "ZDEBITCARDACCSMRY";

    /**
     * 信息概要. 2.10 相关还款责任汇总
     */
    public static final String REPAYINFOSMRYLS = "REPAYINFOSMRYLS";
    /**
     * 信息概要. 2.11 非信贷交易信息概要
     */
    public static final String POSTPAYSMRYLS = "POSTPAYSMRYLS";
    /**
     * 信息概要. 2.12 公共信息概要
     */
    public static final String COMMINFOSMRYLS = "COMMINFOSMRYLS";
    /**
     * 信息概要. 2.13 非金融信用交易信息概要
     */
    public static final String NOFINASMRYLS = "NOFINASMRYLS";
    /**
     * 信息概要. 2.14 公开信息汇总
     */
    public static final String PUBLICINFOSMRYLS = "PUBLICINFOSMRYLS";

    /**
     * 信息概要. 2.15 查询记录概要
     */
    public static final String QUERYRECORDSMRYBO = "QUERYRECORDSMRYBO";
    /**
     * 信贷交易明细信息1. 被追偿信息
     */
    public static final String FORCEDREPAYINFOBOLS = "FORCEDREPAYINFOBOLS";

    /**
     * 信贷交易明细信息2. 非循环贷账户
     */
    public static final String NOLOOPCREDITACCOUNTBOLS = "NOLOOPCREDITACCOUNTBOLS";

    /**
     * 信贷交易明细信息3. 循环额度下分账户
     */
    public static final String LOOPQUOTAACCOUNTBOLS = "LOOPQUOTAACCOUNTBOLS";

    /**
     * 信贷交易明细信息4. 循环贷账户
     */
    public static final String LOOPCREDITACCOUNTBOLS = "LOOPCREDITACCOUNTBOLS";

    /**
     * 信贷交易明细信息5. 贷记卡
     */
    public static final String CREDITCARDACCOUNTBOLS = "CREDITCARDACCOUNTBOLS";

    /**
     * 信贷交易明细信息6. 准贷记卡
     */
    public static final String PASSCREDITCARDACCOUNTBOLS = "PASSCREDITCARDACCOUNTBOLS";
    /**
     * 信贷交易明细信息7. 相关还款责任信息
     */
    public static final String ABOUTREPAYDUTYINFOSGLS = "ABOUTREPAYDUTYINFOSGLS";
    /**
     * 信贷交易明细信息8. 授信协议信息
     */
    public static final String CONTRACTBASEINFOSGLS = "CONTRACTBASEINFOSGLS";
    /**
     * 非信贷交易信息明细-后付费记录
     */
    public static final String AGERAFTERPAYSGLS = "AGERAFTERPAYSGLS";
    /**
     * 公共信息明细 1. 欠税记录
     */
    public static final String OWINGTAXESLS = "OWINGTAXESLS";
    /**
     * 公共信息明细 2. 民事判决记录
     */
    public static final String CIVILLS = "CIVILLS";
    /**
     * 公共信息明细 3. 强制执行记录
     */
    public static final String ENFORCEMENTLS = "ENFORCEMENTLS";
    /**
     * 公共信息明细 4. 行政处罚记录
     */
    public static final String PENALTYLS = "PENALTYLS";
    /**
     * 公共信息明细 5. 住房公积金参缴记录
     */
    public static final String HOUSINGFUNDLS = "HOUSINGFUNDLS";
    /**
     * 公共信息明细 6. 低保救助记录
     */
    public static final String ALLOWANCLS = "ALLOWANCLS";
    /**
     * 公共信息明细 7. 执业资格记录
     */
    public static final String PRACTISINGLS = "PRACTISINGLS";
    /**
     * 公共信息明细 8. 行政奖励记录
     */
    public static final String REWARDLS = "REWARDLS";

    /**
     *  查询记录
     */
    public static final String QUERYRECORDSGLS = "QUERYRECORDSGLS";
}
