package com.kexun.controller;


import com.kexun.common.utils.Result;
import com.kexun.entity.FieldDefineEntity;
import com.kexun.model.ro.ScriptRequest;
import com.kexun.model.vo.TestVo;
import com.kexun.service.impl.FieldDefineServiceImpl;
import groovy.lang.Binding;
import groovy.lang.GroovyShell;
import groovy.lang.Script;
import org.codehaus.groovy.control.CompilerConfiguration;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Hashtable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 测试类
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@RestController
@RequestMapping("/admin")
public class TestController {

    @Autowired
    private FieldDefineServiceImpl fieldDefineService;

    /**
     * 测试
     *
     * @param name
     * @return
     */
    @GetMapping("list")
    public Result list(String name) {
        TestVo testVo = new TestVo();
        testVo.setId(12345678901021L);
        testVo.setName("中国");
        return Result.success("ok", testVo);
    }

    @PostMapping("test-field")
    public Result testField(){

        return Result.success();
    }
}
