package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 业务信息变更历史
 * </p>
 *
 * @author lgs
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bus_info_modify_his")
public class BusInfoModifyHis extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 业务编号
     */
    @TableField("business_num")
    private String businessNum;

    /**
     * 操作模块名称
     */
    @TableField("module_name")
    private String moduleName;

    /**
     * 业务类型
     */
    @TableField("business_type")
    private String businessType;

    /**
     * 操作简单描述
     */
    @TableField("operation")
    private String operation;

    /**
     * 操作详细描述
     */
    @TableField("description")
    private String description;


}
