package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@TableName(value = "report_info")
@Data
public class BusinessInfo implements Serializable {


    @TableId(value = "id")
    private Long id;

    @TableField("head_inf_id")
    private Long headInfId;

    @TableField("rpt_no")
    private String rptNo;

    @TableField("business_id")
    private Long businessId;

    @TableField(value = "business_num")
    private String businessNum;

    @TableField(value = "customer_name")
    private String customerName;

    @TableField(value = "coop_business_num")
    private String coopBusinessNum;
    private String cooperatorName;

    @TableField(value = "product_num")
    private String productNum;
    private String productName;

    @TableField(value = "status")
    private String status;

    @TableField(value = "certificate_num")
    private String certificateNum;

    @TableField(value = " create_time")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    @TableField(value = "file_name")
    private String fileName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
