package com.kexun.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description: 报文信息DTO
 *
 * @author lgs
 * @date 2023/12/28
 */
@Data
public class ReportInfoDTO {

    /**
     * id
     */
    private Long id;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品编号
     */
    private String productNum;
    /**
     * 解析状态
     */
    private String status;

    /**
     * 报告头信息表id
     */
    private Long headInfId;
    /**
     * 报告编号
     */
    private String rptNo;


}
