package com.kexun.model.ro;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description:字段模板列表查询RO
 *
 * @author lgs
 * @date 2023/06/25
 */
@Data
public class FiledTemplateRO implements Serializable {

    @ApiModelProperty(value = "字段模板编号")
    private String templateNo;

    @ApiModelProperty(value = "字段模板名称")
    private String templateName;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "页码", example = "1")
    private String pageNo;

    @ApiModelProperty(value = "大小", example = "1")
    private String pageSize;

}
