package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * <p>
 * 职业信息
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@Data
public class BaseVocationInf implements IXmlBase {

    private static final long serialVersionUID = 1L;

    /**
     * 就业状况代码
     */
    @JSONField(name = "WORDSTATUSCODE")
    private String wordStatusCode;

    /**
     * 就业状况描述
     */
    @JSONField(name = "WORDSTATUSDESC")
    private String wordStatusDesc;

    /**
     * 单位性质代码
     */
    @JSONField(name = "CPNTYPECODE")
    private String cpnTypeCode;

    /**
     * 单位性质描述
     */
    @JSONField(name = "CPNTYPEDESC")
    private String cpnTypeDesc;

    /**
     * 行业代码
     */
    @JSONField(name = "TRADECODE")
    private String tradeCode;

    /**
     * 行业描述
     */
    @JSONField(name = "TRADEDESC")
    private String tradeDesc;

    /**
     * 职业代码
     */
    @JSONField(name = "VOCATIONCODE")
    private String vocationCode;

    /**
     * 职业描述
     */
    @JSONField(name = "VOCATIONDESC")
    private String vocationDesc;

    /**
     * 职务代码
     */
    @JSONField(name = "TITLECODE")
    private String titleCode;

    /**
     * 职务描述
     */
    @JSONField(name = "TITLEDESC")
    private String titleDesc;

    /**
     * 职称代码
     */
    @JSONField(name = "VOCATIONTITLECODE")
    private String vocationTitleCode;

    /**
     * 职称描述
     */
    @JSONField(name = "VOCATIONTITLEDESC")
    private String vocationTitleDesc;
    /**
     * 工作单位
     */
    @JSONField(name = "COMPANY")
    private String company;

    /**
     * 单位地址
     */
    @JSONField(name = "CPNADDRESS")
    private String cpnAddress;

    /**
     * 单位电话
     */
    @JSONField(name = "CPNTELNUM")
    private String cpnTelNum;

    /**
     * 进入本单位年份
     */
    @JSONField(name = "BEGINYEAR")
    private String beginYear;

    /**
     * 信息更新日期
     */
    @JSONField(name = "INFOUPDATEDATE")
    private String updateDateInfo;

}
