package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:信息概要. 3. 非信贷交易信息概要
 *
 * @author lgs
 * @date 2023/06/09
 */
@Data
public class SmryNoCreditInf {
    /**
     * 后付费业务类型代码
     */
    @JSONField(name = "PITYPECODE")
    private String piTypeCode;

    /**
     * 后付费业务类型描述
     */
    @JSONField(name = "PITYPEDESC")
    private String piTypeDesc;

    /**
     * 欠费账户数
     */
    @JSONField(name = "ARRACCNUM")
    private Integer arrAccNum;

    /**
     * 欠费金额
     */
    @JSONField(name = "ARREARAGE")
    private BigDecimal arrAmount;

}
