package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:最近5年内的历史表现信息明细
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsFiveYearDetail {

    /**
     * 账户编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 月份
     */
    @JSONField(name = "OVERDMON")
    private String overdMon;

    /**
     * 还款状态代码
     */
    @JSONField(name = "OVERDSTATUSCODE")
    private String overdStatusCode;

    /**
     * 逾期（透支）总额
     */
    @JSONField(name = "TOTACCTBAL")
    private BigDecimal totAcctBal;

}
