package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * <p>
 * 配偶信息 
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@Data
public class BaseMarriage implements IXmlBase {

    private static final long serialVersionUID = 1L;

    /**
     * 婚姻状况代码
     */
    @JSONField(name = "MARSTATUCODE")
    private String marStatuCode;

    /**
     * 婚姻状况描述
     */
    @JSONField(name = "MARSTATUDESC")
    private String marStatuDesc;

    /**
     * 配偶姓名
     */
    @JSONField(name = "SPUOSENAME")
    private String spuoseName;

    /**
     * 配偶证件类型代码
     */
    @JSONField(name = "CERTTYPECODE")
    private String certTypeCode;

    /**
     * 配偶证件类型描述
     */
    @JSONField(name = "CERTTYPEDESC")
    private String certTypeDesc;

    /**
     * 配偶证件号码
     */
    @JSONField(name = "CERTNUM")
    private String certNum;

    /**
     * 配偶工作单位
     */
    @JSONField(name = "COMPANY")
    private String company;

    /**
     * 配偶联系电话
     */
    @JSONField(name = "TELNUM")
    private String telNum;


}
