package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description:查询记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class QueryRecordInf {

    /**
     * 查询日期
     */
    @JSONField(name = "QUERYDATE")
    private String queryDate;

    /**
     * 查询机构类型代码
     */
    @JSONField(name ="QORGTYPECODE")
    private String orgTypeCode;

    /**
     * 查询机构类型描述
     */
    @JSONField(name ="QORGTYPEDESC")
    private String orgTypeDesc;

    /**
     * 查询机构
     */
    @JSONField(name ="QUERYORG")
    private String queryOrg;

    /**
     * 查询原因
     */
    @JSONField(name ="QUERYREASONCODE")
    private String queryReasonCode;

    /**
     * 查询原因描述
     */
    @JSONField(name ="QUERYREASONDESC")
    private String queryReasonDesc;
}
