package com.kexun.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.entity.ModelEntity;

import java.util.List;

public interface UserModelService extends IService<ModelEntity> {

    List<ModelEntity> findByUserName(String user_name);
    ModelEntity findByModelName(String model_name);
    ModelEntity findByUserAndModel(String user_name, String model_name);
    ModelEntity findByID(long id);
    void removeModelByID(long id);

    void changeModelName(String modelName,long modelNo);

    List<ModelEntity> getUserModel();

    String getModelNo();

}
